(1) Build a scripted bus

bus = that;
timer = new QTimer();
step = function() {
    bus.moveBy(3, 0);
}
timer.timeout.connect(this, step);
timer.start(20);
timer.stop();

(1b) Alternative bouncing functionality

step2 = function() {
    that.stepAndBounce();
}
timer2 = new QTimer();
timer2.timeout.connect(this, step2);
timer2.start(20);
timer2.stop();

(2) Build a web browser with URL field

myline = that;
mybutton = that;
mybrowser = that;

mybrowser.inner.load(new QUrl("http://www.usatoday.com/"));

loadPage = function() {
    var url = new QUrl(myline.inner.text);
    mybrowser.inner.load(url);
}
mybutton.inner.pressed.connect(this, loadPage);

(3) Interactive scaler widget

hslider = that;
vslider = that;

scaleThat = function() {
  var hscale = hslider.inner.value;
  var vscale = vslider.inner.value;
  that.resetTransformations();
  that.scale(hscale/100, vscale/100);
}

hslider.inner.valueChanged.connect(this, scaleThat);
vslider.inner.valueChanged.connect(this, scaleThat);

(4) Build a button that causes an error (DEBUGGER!)

foo = function() {
	garble();
}
button.inner.pressed.connect(this, foo);

(5) Scaling/minimizing widgets easily

that.scale(0.2, 0.2);
that.scale(5, 5);

